Questions tagged [appcenter]

The elementary OS app store (replaces the Ubuntu Software Center).

Filter by
Sorted by
Tagged with
2
votes
0answers
227 views

How to access full app center in live mode

I managed to get elementary OS Loki to be installed in persistent USB thumb drive, which I intend to use as a portable OS. All's great, except that I am unable to access all the apps in the App ...
2
votes
0answers
282 views

Can't install Steam through AppCenter [closed]

I had no trouble installing steam through the terminal using sudo apt install steam, however any attempt at installing Steam through the AppCenter would do nothing. I am able to install other ...
1
vote
0answers
182 views

Disable AppCenter automatic searching to prevent freezes

I've recently installed eOS Loki and I'm annoyed with its AppCenter. After entering 2 letters in the searchbox, it freezes for over 5 seconds because it searches those 2 letters in all apps database. ...
1
vote
2answers
442 views

Newb problems, yet another appcenter thread

this is my first time using linux. I bought a used lenovo laptop, and since I only need it for my studies I figured Elementary OS would be faster and prettier. It is both of these things, but I did ...
0
votes
2answers
1k views

How can i install Apps from other sources? [duplicate]

I just install Loki and i love it! It is a fast, lightweight and beautiful OS!! My problem has come when I'm trying to install my favourite apps, like Uberwriter and Google Chrome. I knew about ...
7
votes
1answer
604 views

Is there a way to see changelog of update?

Title says it all. Is this a thing? A changelog for every update in AppCenter (obviously just for elementary apps) would be really helpful.
0
votes
1answer
497 views

Something Wrong With elementary appcenter [duplicate]

Today i've noticed my appcenter is not installing removing or cheching for updates. When i try to install something the bar just shows "starting" and then nothing happens.I tried to reinstall it but ...
0
votes
1answer
239 views

How to publish on elementary os app center [duplicate]

I have made a game together with my friends and we thought I'd be great to have it on the elementary app store. How would you go about making that happen? Publish it to the official Ubuntu ...
5
votes
1answer
11k views

AppCenter does not install anything anymore [closed]

I have just installed LOKI in two PCs and I am having the same issue with both. On App Center I can see the apps list; however when I choose any of them, click Install and I can see the progress bar, ...
34
votes
5answers
87k views

How can I install .deb files in Loki?

In the latest version (Loki 0.4 Stable), I can't open .deb files with AppCenter, like Ubuntu.
8
votes
2answers
353 views

AppCenter - Prevent packages from updating

I need a couple of older libraries to make a program work. I can hold the packages with the following commands: apt-mark hold package echo package hold | dpkg --set-selections That way when I try to ...
2
votes
1answer
8k views

Loki - App center empty [duplicate]

I've installed lok 0.4 today and the app center is empty except for installed applications. This is a known bug: https://bugs.launchpad.net/appcenter/+bug/1615270 However, the suggested workaround ...
5
votes
2answers
19k views

Update with terminal instead of AppCenter

My AppCenter has an icon indicating several updates in the queue. How can I download and install these updates from Terminal/CLI without opening AppCenter?
2
votes
0answers
135 views

Turn off authentication for software update [closed]

AppCenter is asking me for my password (to authenticate) for each item in the AppCenter. How do I either (1) turn off the need for authentication, and/or (2) have AppCenter only ask me once?
2
votes
3answers
398 views

I can't find FireFox in the AppCenter of Loki, although I have installed it

Why can't I find Firefox in the AppCenter? Not only Firefox, but also other non-elementary Apps.
1
vote
0answers
87 views

Can't open Software Center / 404 Not Found with apt-get update [closed]

Hello, I seem to be having trouble with opening Software Center, when I click on it nothing happens, I'm new to elementary OS and Linux. I think I did something wrong when I tried to update a ...
0
votes
1answer
122 views

I downloaded yesterday some updates from software center as usual and both wifi and ethernet do not work anymore

Hi everyone. I have a macbook from 2009, I downloaded and installed updates from the Software Center as usual yesterday night and after the reboot both wifi and ethernet did not work. The network ...
3
votes
1answer
625 views

How to publish an App in elementary (Loki) AppCenter

I wanted to check if there is some documentation on how to make an App available in the elementary (Loki) App Center. I have gathered that the application needs to be on GitHub and some hooks needs ...
3
votes
3answers
4k views

How to install Apps through AppCenter on Loki? [duplicate]

I can't find lots of Apps in AppCenter, such as Firefox, How to install them through the AppCenter?
1
vote
0answers
71 views

Update Manager doesn't work + Sotware Center crashes [closed]

Yesterday when updating my OS, the Update manager freezed and wasn't responding. I waited but finally force the exit and shut it down. Now it shows up a message saying something like: "Updates cannot ...
0
votes
1answer
639 views

Software & Updates and Software Updater won't start

I have some annyoing problem, the Software & Updates won't start when I click on it, but Software Center works fine. Also I noticed that sometimes, Software Updater automaticly turns on promting ...
3
votes
2answers
1k views

Master PDF Editor installs correctly, but won't start

I installed Master PDF editor from here, selecting the 64 bit .deb file. I installed it through the software center, and everything seemed to have been installed correctly, except that when I try to ...
2
votes
3answers
1k views

Cannot launch Viber on elementary OS freya

After removing Viber version 5 from software center, and with sudo dpkg --purge viber sudo apt-get remove viber I downloaded the version 6 viber .deb file from Viber's website, opened it and ...
1
vote
1answer
167 views

Software Updater & Software Center apps not launching

Problem: Clicking the app-icons does not launch anything. I've checked out (and tried some of) these solutions: software-center-does-not-open-after-update software-center-wont-open cant-open-software-...
4
votes
7answers
4k views

The Software Center won't open

I can't open the Software Center - it simply doesn't launch. No errors or anything pop up when I try to run it from Slingshot. I have an error in the topbar that looks like the red stop sign in this. ...
-1
votes
1answer
341 views

Software Center can't install Opera, Internal error!

I am using elementary OS freya 0.3.2 lsb_release -a No LSB modules are available. Distributor ID: elementary OS Description: elementary OS Freya Release: 0.3.2 Codename: freya I have ...
0
votes
1answer
34 views

magazine purchases in software center

I have a new install of elementary, and I notice that searches in software center give results for purchasing magazines and other things which I have 0 interest in. Since I will NEVER buy magazines ...
8
votes
2answers
567 views

Software center won't open

I'm running Freya and I get the following error messages when I try to run the software center from the command line: ** (software-center:2639): WARNING **: Couldn't connect to accessibility bus: ...
7
votes
3answers
2k views

Software center does not open after update

I had installed beta version of Freya alongside windows 7 about a year ago. I didn't use or update Freya after a month of use. But today I updated it by apt-get update && apt-get upgrade and ...
7
votes
1answer
228 views

Does elementary OS feature outdated packages?

A few days back I was reading a post regarding elementary OS and in the comment section there was a few people mentioning that there are a lot of outdated packages and that if anyone wanted to use the ...
5
votes
1answer
1k views

Why can I not install dconf-tools?

Whenever I try to install dconf-tool I get this error: Reading package lists... Done Building dependency tree Reading state information... Done Package dconf-tools is not available, but is ...